package com.vendor.platform.ui.tool;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.ToolDescriptor;
import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.tool.InstallToolWizardPage;
import com.vendor.platform.ui.tool.LicenseWizardPage;
import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.ui.internal.dialogs.NewWizard;

public class InstallToolWizard extends NewWizard {
  private LicenseWizardPage licensePage;
  
  private InstallToolWizardPage toolPage;
  
  private ToolDescriptor toolDesc;
  
  private String installZipFile;
  
  private String registerCode;
  
  private String[] tools;
  
  private String[] chips;
  
  public InstallToolWizard(String[] tools) {
    this.tools = (String[])tools.clone();
    setNeedsProgressMonitor(true);
    setWindowTitle(Messages.InstallToolWizard_0);
  }
  
  public void addPages() {
    this.toolPage = new InstallToolWizardPage(Messages.InstallToolWizard_1, this.tools);
    addPage((IWizardPage)this.toolPage);
    this.licensePage = new LicenseWizardPage(Messages.InstallToolWizard_2);
    addPage((IWizardPage)this.licensePage);
  }
  
  public IWizardPage getNextPage(IWizardPage page) {
    IWizardPage next = super.getNextPage(page);
    if (next == this.licensePage)
      this.licensePage.refresh(); 
    return next;
  }
  
  public String getRegisterCode() {
    return this.registerCode;
  }
  
  public boolean performFinish() {
    this.installZipFile = this.toolPage.getInstallZipFile();
    this.registerCode = this.toolPage.getRegisterCode();
    this.chips = this.toolPage.getSelectChips();
    return true;
  }
  
  public void setToolDescriptor(ToolDescriptor des) {
    this.toolDesc = des;
  }
  
  public ToolDescriptor getToolDescriptor() {
    return this.toolDesc;
  }
  
  public String getInstallZipFile() {
    return this.installZipFile;
  }
  
  public String[] getSelectChips() {
    return (String[])this.chips.clone();
  }
  
  public void clean() {
    this.toolPage.clean();
  }
}
